%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-spyder-kernels
Version:       3.0.1
Release:       1mamba
Summary:       Jupyter kernels for the Spyder console
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/spyder-kernels/
Source:        https://pypi.debian.net/spyder-kernels/spyder_kernels-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: (python3.11dist(ipython) < 8.17.1 or python3.11dist(ipython) > 8.17.1)
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(cloudpickle)
BuildRequires: python3.11dist(ipykernel)
BuildRequires: python3.11dist(ipython)
BuildRequires: python3.11dist(jupyter-client)
BuildRequires: python3.11dist(pyxdg)
BuildRequires: python3.11dist(pyzmq)
BuildRequires: python3.11dist(wurlitzer)
## AUTOBUILDREQ-END

%description
%{summary}.

%if "0%{?with_pyver}" == "03"
%define py_requires_append \
Obsoletes:     python-spyder-kernels-py310 <= 2.5.0-1mamba
%pyver_package
%endif

%prep
%setup -q -n spyder_kernels-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*

%changelog
* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 3.0.1-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 3.0.0b5-1mamba
- automatic update by autodist

* Thu Apr 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.1-1mamba
- update to 2.5.1

* Sat Nov 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- obsolete -py310 target

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Fri Jun 30 2023 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Thu Apr 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2mamba
- rebuilt with python 3.10

* Mon Apr 03 2023 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Wed Jan 18 2023 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Thu Nov 03 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Sun Aug 28 2022 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Sat Jul 09 2022 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Sun May 22 2022 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Sun Feb 13 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- rebuilt with distdeps

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Sun Oct 03 2021 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Wed Sep 01 2021 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sun Aug 01 2021 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sat Jul 03 2021 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Fri Jun 11 2021 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Sun May 16 2021 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Mon May 03 2021 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Fri Apr 02 2021 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.1-1mamba
- package created using the webbuild interface
